<?php

namespace App\Components;

use Daylight\Core\Modules\PageBuilder\Entities\Component;
use Daylight\Core\Modules\PageBuilder\Entities\Field;
use Illuminate\Support\Collection;

class Breadcrumbs extends Component
{
    public string $type = 'breadcrumbs';

    public function name(): string
    {
        return __('Breadcrumbs');
    }

    public function fields(): Collection
    {
        return collect([
            Field::text('title', __('Title'))->required(),
        ]);
    }
}
